﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VRPProblemAnalyzer {
  public static class EnumerableExtensions {
    public static double StandardDeviation(this IEnumerable<double> data) {
      var dataList = data.ToList();
      double average = dataList.Average();
      var individualDeviations = dataList.Select(num => Math.Pow(num - average, 2.0));
      return Math.Sqrt(individualDeviations.Average());
    }
  }
}
